Package com.independentsoft.office.drawing

# Class GradientFill

java.lang.Object
com.independentsoft.office.drawing.GradientFill

All Implemented Interfaces:
  `IFill`

public class GradientFill extends Object implements IFill
The Class GradientFill.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GradientFill()`
  Instantiates a new gradient fill.
  `GradientFill​(InternalXMLStreamReader reader)`
  Instantiates a new gradient fill.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GradientFill`
  `clone()`
  `List<GradientStop>`
  `getGradientStops()`
  Gets the gradient stops.
  `LinearGradientFill`
  `getLinearGradientFill()`
  Gets the linear gradient fill.
  `PathGradient`
  `getPathGradient()`
  Gets the path gradient.
  `TileFlipMode`
  `getTileFlip()`
  Gets the tile flip.
  `TileRectangle`
  `getTileRectangle()`
  Gets the tile rectangle.
  `boolean`
  `isRotateWithShape()`
  Checks if is rotate with shape.
  `void`
  `setLinearGradientFill​(LinearGradientFill linearGradientFill)`
  Sets the linear gradient fill.
  `void`
  `setPathGradient​(PathGradient pathGradient)`
  Sets the path gradient.
  `void`
  `setRotateWithShape​(boolean rotateWithShape)`
  Sets the rotate with shape.
  `void`
  `setTileFlip​(TileFlipMode tileFlip)`
  Sets the tile flip.
  `void`
  `setTileRectangle​(TileRectangle tileRectangle)`
  Sets the tile rectangle.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GradientFill

    public GradientFill()
    Instantiates a new gradient fill.

  - ### GradientFill

    public GradientFill​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new gradient fill.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public GradientFill clone()
    Specified by:
      `clone` in interface `IFill`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getGradientStops

    public List<GradientStop> getGradientStops()
    Gets the gradient stops.
    Returns:
      the gradient stops

  - ### getLinearGradientFill

    public LinearGradientFill getLinearGradientFill()
    Gets the linear gradient fill.
    Returns:
      the linear gradient fill

  - ### setLinearGradientFill

    public void setLinearGradientFill​(LinearGradientFill linearGradientFill)
    Sets the linear gradient fill.
    Parameters:
      `linearGradientFill` - the new linear gradient fill

  - ### getPathGradient

    public PathGradient getPathGradient()
    Gets the path gradient.
    Returns:
      the path gradient

  - ### setPathGradient

    public void setPathGradient​(PathGradient pathGradient)
    Sets the path gradient.
    Parameters:
      `pathGradient` - the new path gradient

  - ### getTileRectangle

    public TileRectangle getTileRectangle()
    Gets the tile rectangle.
    Returns:
      the tile rectangle

  - ### setTileRectangle

    public void setTileRectangle​(TileRectangle tileRectangle)
    Sets the tile rectangle.
    Parameters:
      `tileRectangle` - the new tile rectangle

  - ### getTileFlip

    public TileFlipMode getTileFlip()
    Gets the tile flip.
    Returns:
      the tile flip

  - ### setTileFlip

    public void setTileFlip​(TileFlipMode tileFlip)
    Sets the tile flip.
    Parameters:
      `tileFlip` - the new tile flip

  - ### isRotateWithShape

    public boolean isRotateWithShape()
    Checks if is rotate with shape.
    Returns:
      true, if is rotate with shape

  - ### setRotateWithShape

    public void setRotateWithShape​(boolean rotateWithShape)
    Sets the rotate with shape.
    Parameters:
      `rotateWithShape` - the new rotate with shape